Invoices
Update an Item
Update an Item details using this endpoint.
PATCH
Available in🇮🇳 India🇸🇬 Singapore🇺🇸 United States
Use this endpoint to update the details of an item. You can also edit the details of a created item from the Dashboard by clicking on that specific item from the list of items.
Path Parameters
string
required
The unique identifer of the item whose details are to be updated.
Request Parameters
string
The name of the item.
string
A brief description about the item.
integer
The price of the item in the lowest unit of currency.
string
The currency in which the amount should be charged. Check the list of supported currencies.
boolean
Indicates the status of the item. Possible values:
true(default): Item is in the active state.false: Item is in the inactive state.
Response Parameters
string
The unique identifier of the item.
boolean
Indicates the status of the item. Possible values:
true(default): Item is in the active state.false: Item is in the inactive state.
string
The name of the item.
string
A text description about the item.
integer
The price of the item.
integer
The per unit billing amount for each individual unit.
string
The currency in which the amount should be charged. Check the list of supported currencies.
string
Here, it must be
invoice.integer
The number of units of the item billed in the invoice.
boolean
Indicates whether the base amount includes tax.
true: The base amount includes tax.false: The base amount does not include tax. By default, the value is set tofalse.
integer
The 8-digit code used to classify the product as per the Harmonised System of Nomenclature.
integer
The 6-digit code used to classify the service as per the Services Accounting Code.
string
The percentage at which an individual or a corporation is taxed.
string
The identification number that gets displayed on invoices issued to the customer.
string
The identification number for the tax group. A tax group is a collection of taxes that can be applied as a single set of rules.
integer
Unix timestamp, at which the item was created. For example,
1649843796.Errors
The API `<key/secret>
` provided is invalid.
The API `<key/secret> ` provided is invalid.
Code:
4xxThe API key or secret are not entered or an invalid API key is used.Solution: Use and enter the correct API details while executing the API.The id provided does not exist.
The id provided does not exist.
Code:
400The invoice id entered is either invalid or does not belong to the requester account.Solution: Enter a valid invoice id.The amount field is required when item id is not present.
The amount field is required when item id is not present.
Code:
400Only name is entered without item id or amount.Solution: Provide either the item id or the amount with the name.The name field is required when item id is not present.
The name field is required when item id is not present.
Code:
400Possible reasons:- Only the amount field is entered without a name or item id.
- The amount, name or item id are not entered.
The name may not be greater than 512 characters.
The name may not be greater than 512 characters.
Code:
400The name value exceeds the 512-character limit.Solution: Keep name to 512 characters or fewer.The amount must be an integer.
The amount must be an integer.
Code:
400A non-integer value (for example a decimal like 100.5 or a string like "abc") was passed for amount.Solution: Pass amount as an integer in currency subunits.Update operation not allowed for item of type: {type}.
Update operation not allowed for item of type: {type}.
Code:
400The item id passed belongs to a non-invoice item type (for example, payment_page). Only items of type invoice can be updated through this endpoint.Solution: Confirm the item’s type using the Fetch Item API. Only invoice-type items support updates via PATCH /v1/items/:id.